CMSIS-DSP: Globals

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - l -

- arm_levinson_durbin_f16() : filtering_functions_f16.h , arm_levinson_durbin_f16.c
- arm_levinson_durbin_f32() : arm_levinson_durbin_f32.c , filtering_functions.h
- arm_levinson_durbin_q31() : filtering_functions.h , arm_levinson_durbin_q31.c
- arm_linear_interep_table : arm_linear_interp_example_f32.c , arm_linear_interp_data.c
- arm_linear_interp_f16() : interpolation_functions_f16.h
- arm_linear_interp_f32() : interpolation_functions.h
- arm_linear_interp_q15() : interpolation_functions.h
- arm_linear_interp_q31() : interpolation_functions.h
- arm_linear_interp_q7() : interpolation_functions.h
- arm_lms_f32() : arm_lms_f32.c , filtering_functions.h
- arm_lms_init_f32() : filtering_functions.h , arm_lms_init_f32.c
- arm_lms_init_q15() : filtering_functions.h , arm_lms_init_q15.c
- arm_lms_init_q31() : filtering_functions.h , arm_lms_init_q31.c
- arm_lms_norm_f32() : filtering_functions.h , arm_lms_norm_f32.c
- arm_lms_norm_init_f32() : filtering_functions.h , arm_lms_norm_init_f32.c
- arm_lms_norm_init_q15() : filtering_functions.h , arm_lms_norm_init_q15.c
- arm_lms_norm_init_q31() : filtering_functions.h , arm_lms_norm_init_q31.c
- arm_lms_norm_q15() : arm_lms_norm_q15.c , filtering_functions.h
- arm_lms_norm_q31() : filtering_functions.h , arm_lms_norm_q31.c
- arm_lms_q15() : filtering_functions.h , arm_lms_q15.c
- arm_lms_q31() : filtering_functions.h , arm_lms_q31.c
- arm_logsumexp_dot_prod_f16() : arm_logsumexp_dot_prod_f16.c , statistics_functions_f16.h
- arm_logsumexp_dot_prod_f32() : arm_logsumexp_dot_prod_f32.c , statistics_functions.h
- arm_logsumexp_f16() : arm_logsumexp_f16.c , statistics_functions_f16.h
- arm_logsumexp_f32() : statistics_functions.h , arm_logsumexp_f32.c
- list() : Source/CMakeLists.txt
- lmsNorm_instance : arm_signal_converge_example_f32.c
- lmsNormCoeff_f32 : arm_signal_converge_data.c , arm_signal_converge_example_f32.c
- lmsStateF32 : arm_signal_converge_example_f32.c
- LOG2TOLOG_Q15 : arm_mfcc_q15.c
- LOG2TOLOG_Q31 : arm_mfcc_q31.c
- LOG_Q15_ACCURACY : arm_vlog_q15.c
- LOG_Q15_INTEGER_PART : arm_vlog_q15.c
- LOG_Q15_INVLOG2EXP : arm_vlog_q15.c
- LOG_Q31_ACCURACY : arm_vlog_q31.c
- LOG_Q31_INTEGER_PART : arm_vlog_q31.c
- LOG_Q31_INVLOG2EXP : arm_vlog_q31.c
- logf16_scalar() : arm_vlog_f16.c
- LOQ_Q15_Q14_HALF : arm_vlog_q15.c
- LOQ_Q15_Q16_HALF : arm_vlog_q15.c
- LOQ_Q15_THRESHOLD : arm_vlog_q15.c
- LOQ_Q31_Q30_HALF : arm_vlog_q31.c
- LOQ_Q31_Q32_HALF : arm_vlog_q31.c
- LOQ_Q31_THRESHOLD : arm_vlog_q31.c
- LOWPART_MASK : arm_levinson_durbin_q31.c
- LPF_instance : arm_signal_converge_example_f32.c